Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.transport
Class TCPMessage

`java.lang.Object
oracle.security.crypto.cmp.transport.TCPMessage`

All Implemented Interfaces:
  oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  ErrorTCPMsg, FinalTCPMsg, PKIRequestTCPMsg, PKIResponseTCPMsg, PollRequestTCPMsg, PollResponseTCPMsg

public abstract class TCPMessage
extends java.lang.Object
implements oracle.security.crypto.util.Streamable

Base class for CMP TCP-based management protocol messages.

Nested Class Summary
`static class` | `TCPMessage.Flag` TCP-based message flags.
`static class` | `TCPMessage.Type` TCP-based message types.
`static class` | `TCPMessage.Version` TCP-based message protocol version.

Constructor Summary
`protected` | `TCPMessage()` Create a new `TCPMessage` with a default version of `TCPMessage.Version.CMP2000`.
`protected` | `TCPMessage(TCPMessage.Version version)` Create a new `TCPMessage` with the given version.

Method Summary
`abstract TCPMessage.Type` | `getType()` Get the TCP-based message type.
`TCPMessage.Version` | `getVersion()` Get the TCP-based message protocol version.
`boolean` | `hasFlag(TCPMessage.Flag flag)` Test whether or not the given message flag is set.
`void` | `input(java.io.InputStream is)` Reads this `TCPMessage`'s encoding from the given input stream.
`static TCPMessage` | `inputInstance(java.io.InputStream is)` Creates a new instance of one of the `TCPMessage` subclasses by reading its encoding from the given input stream.
`int` | `length()`
`void` | `output(java.io.OutputStream os)` Writes this `TCPMessage`'s encoding to the given output stream.
`void` | `setFlag(TCPMessage.Flag flag)` Set the given message flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPMessage

    protected TCPMessage()

  Create a new `TCPMessage` with a default version of `TCPMessage.Version.CMP2000`.

### TCPMessage

    protected TCPMessage(TCPMessage.Version version)

  Create a new `TCPMessage` with the given version.

Method Detail

### getVersion

    public TCPMessage.Version getVersion()

  Get the TCP-based message protocol version.

### getType

    public abstract TCPMessage.Type getType()

  Get the TCP-based message type.

### setFlag

    public void setFlag(TCPMessage.Flag flag)

  Set the given message flag.

### hasFlag

    public boolean hasFlag(TCPMessage.Flag flag)

  Test whether or not the given message flag is set.

### inputInstance

    public static TCPMessage inputInstance(java.io.InputStream is)
                                    throws java.io.IOException

  Creates a new instance of one of the `TCPMessage` subclasses by reading its encoding from the given input stream.
  Throws:
    `java.io.IOException`

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Reads this `TCPMessage`'s encoding from the given input stream.

  Should not be overridden by subclasses.

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Writes this `TCPMessage`'s encoding to the given output stream.

  Should not be overridden by subclasses.

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.